Debian Bug report logs - #721979
libvirt-bin: At least one cgroup controller is required: No such device or address

version graph

Package: libvirt-bin; Maintainer for libvirt-bin is Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>; Source for libvirt-bin is src:libvirt.

Reported by: Laurent Bigonville <bigon@debian.org>

Date: Fri, 6 Sep 2013 13:45:01 UTC

Severity: important

Tags: patch

Found in version libvirt/1.1.2-1

Fixed in version libvirt/1.1.2-3

Done: Guido Günther <agx@sigxcpu.org>

Bug is archived. No further changes may be made.

Forwarded to https://www.redhat.com/archives/libvir-list/2013-September/msg00629.html

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>:
Bug#721979; Package libvirt-bin. (Fri, 06 Sep 2013 13:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurent Bigonville <bigon@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>. (Fri, 06 Sep 2013 13:45:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Laurent Bigonville <bigon@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libvirt-bin: At least one cgroup controller is required: No such device or address
Date: Fri, 06 Sep 2013 15:42:27 +0200
Package: libvirt-bin
Version: 1.1.2-1
Severity: important

Hi,

When trying to start a domain (kvm) in virt-manager, I'm getting the
following error/backtrace:

Erreur lors du démarrage du domaine: At least one cgroup controller is required: No such device or address

Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/asyncjob.py", line 96, in cb_wrapper
    callback(asyncjob, *args, **kwargs)
  File "/usr/share/virt-manager/virtManager/asyncjob.py", line 117, in tmpcb
    callback(*args, **kwargs)
  File "/usr/share/virt-manager/virtManager/domain.py", line 1160, in startup
    self._backend.create()
  File "/usr/lib/python2.7/dist-packages/libvirt.py", line 697, in create
    if ret == -1: raise libvirtError ('virDomainCreate() failed', dom=self)
libvirtError: At least one cgroup controller is required: No such device or address


I'm not running systemd on this machine, but systemd-logind is running
and cgroups are mounted:

bigon@soldur:~$ cat /proc/mounts |grep cgroup
none /sys/fs/cgroup tmpfs rw,rootcontext=system_u:object_r:sysfs_t:s0,seclabel,relatime,size=4k,mode=755 0 0
systemd /sys/fs/cgroup/systemd cgroup rw,nosuid,nodev,noexec,relatime,name=systemd 0 0

When unmounting /sys/fs/cgroup/systemd the domain is able to start.

Cheers

Laurent Bigonville

-- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.10-2-amd64 (SMP w/8 CPU cores)
Locale: LANG=fr_BE.utf8, LC_CTYPE=fr_BE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libvirt-bin depends on:
ii  adduser              3.113+nmu3
ii  gettext-base         0.18.3.1-1
ii  init-system-helpers  1.8
ii  libaudit1            1:2.3.2-2
ii  libavahi-client3     0.6.31-2
ii  libavahi-common3     0.6.31-2
ii  libblkid1            2.20.1-5.5
ii  libc6                2.17-92+b1
ii  libcap-ng0           0.7.3-1+b1
ii  libdbus-1-3          1.6.14-1
ii  libdevmapper1.02.1   2:1.02.77-6
ii  libgcrypt11          1.5.3-2
ii  libgnutls26          2.12.23-5
ii  libnetcf1            1:0.2.3-4
ii  libnl-3-200          3.2.21-1
ii  libnl-route-3-200    3.2.21-1
ii  libnuma1             2.0.8-3
ii  libparted0debian1    2.3-15
ii  libpcap0.8           1.4.0-2
ii  libpciaccess0        0.13.2-1
ii  libreadline6         6.2+dfsg-0.1
ii  libsasl2-2           2.1.25.dfsg1-14
ii  libudev0             175-7.2
ii  libvirt0             1.1.2-1
ii  libxenstore3.0       4.3.0-1
ii  libxml2              2.9.1+dfsg1-3
ii  libyajl2             2.0.4-4
ii  logrotate            3.8.6-1

Versions of packages libvirt-bin recommends:
ii  bridge-utils                1.5-6
ii  dmidecode                   2.12-2
ii  dnsmasq-base                2.66-4
ii  ebtables                    2.0.10.4-3
ii  gawk                        1:4.0.1+dfsg-2.1
ii  iproute                     1:3.11.0-1
ii  iptables                    1.4.20-2
ii  libxml2-utils               2.9.1+dfsg1-3
ii  netcat-openbsd              1.105-7
ii  parted                      2.3-15
ii  pm-utils                    1.4.1-11
ii  qemu-kvm                    1.6.0+dfsg-1
ii  qemu-system-x86 [qemu-kvm]  1.6.0+dfsg-1

Versions of packages libvirt-bin suggests:
ii  auditd       1:2.3.2-2
ii  policykit-1  0.105-3
pn  radvd        <none>
pn  systemtap    <none>

-- Configuration Files:
/etc/libvirt/qemu.conf [Errno 13] Permission non accordée: u'/etc/libvirt/qemu.conf'

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>:
Bug#721979; Package libvirt-bin. (Wed, 11 Sep 2013 16:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurent Bigonville <bigon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>. (Wed, 11 Sep 2013 16:09:05 GMT) Full text and rfc822 format available.

Message #10 received at 721979@bugs.debian.org (full text, mbox):

From: Laurent Bigonville <bigon@debian.org>
To: 721979@bugs.debian.org
Subject: Re: Bug#721979: Acknowledgement (libvirt-bin: At least one cgroup controller is required: No such device or address)
Date: Wed, 11 Sep 2013 18:04:20 +0200
Hi,

I can confirm that if I'm switching to systemd on the very same
machine, I'm not seeing this error.

So this seems to be linked to the fact that logind is running and
that /sys/fs/cgroup/systemd is mounted while systemd is actually not
used as the init on the machine.

Cheers

Laurent Bigonville



Set Bug forwarded-to-address to 'https://www.redhat.com/archives/libvir-list/2013-September/msg00629.html'. Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Wed, 11 Sep 2013 16:33:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>:
Bug#721979; Package libvirt-bin. (Thu, 12 Sep 2013 10:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Daniel P. Berrange" <berrange@redhat.com>:
Extra info received and forwarded to list. Copy sent to Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>. (Thu, 12 Sep 2013 10:45:04 GMT) Full text and rfc822 format available.

Message #17 received at 721979@bugs.debian.org (full text, mbox):

From: "Daniel P. Berrange" <berrange@redhat.com>
To: 721979@bugs.debian.org
Subject: Re: Bug#721979: libvirt-bin: At least one cgroup controller is required: No such device or address
Date: Thu, 12 Sep 2013 11:40:25 +0100
Debian libvirt maintainer should cherry-pick this change from upstream
libvirt GIT master.

  commit a48838ad2e36c124229b6faaf6e24284810e3802
  Author: Daniel P. Berrange <berrange@redhat.com>
  Date:   Wed Sep 11 19:15:52 2013 +0100

    Fix launching of VMs on when only logind part of systemd is present
    
    Debian systems may run the 'systemd-logind' daemon, which causes the
    /sys/fs/cgroup/systemd  mount to be setup, but no other cgroup
    controllers are created. While the LXC driver considers cgroups to
    be mandatory, the QEMU driver is supposed to accept them as optional.
    
    We detect whether they are present by looking in /proc/mounts for
    any mounts of type 'cgroups', but this is not sufficient. We need to
    skip any named mounts (as seen by a name=XXX string in the mount
    options), so that we only detect actual resource controllers.
    
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=721979
    
    Signed-off-by: Daniel P. Berrange <berrange@redhat.com>

Regards,
Daniel
-- 
|: http://berrange.com      -o-    http://www.flickr.com/photos/dberrange/ :|
|: http://libvirt.org              -o-             http://virt-manager.org :|
|: http://autobuild.org       -o-         http://search.cpan.org/~danberr/ :|
|: http://entangle-photo.org       -o-       http://live.gnome.org/gtk-vnc :|



Added tag(s) patch. Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Thu, 12 Sep 2013 11:27:14 GMT) Full text and rfc822 format available.

Reply sent to Guido Günther <agx@sigxcpu.org>:
You have taken responsibility. (Thu, 12 Sep 2013 15:21:20 GMT) Full text and rfc822 format available.

Notification sent to Laurent Bigonville <bigon@debian.org>:
Bug acknowledged by developer. (Thu, 12 Sep 2013 15:21:20 GMT) Full text and rfc822 format available.

Message #24 received at 721979-close@bugs.debian.org (full text, mbox):

From: Guido Günther <agx@sigxcpu.org>
To: 721979-close@bugs.debian.org
Subject: Bug#721979: fixed in libvirt 1.1.2-3
Date: Thu, 12 Sep 2013 15:20:51 +0000
Source: libvirt
Source-Version: 1.1.2-3

We believe that the bug you reported is fixed in the latest version of
libvirt, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 721979@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guido Günther <agx@sigxcpu.org> (supplier of updated libvirt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 12 Sep 2013 16:15:31 +0200
Source: libvirt
Binary: libvirt-bin libvirt0 libvirt0-dbg libvirt-doc libvirt-dev python-libvirt libvirt-sanlock
Architecture: source i386 all
Version: 1.1.2-3
Distribution: unstable
Urgency: low
Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
Changed-By: Guido Günther <agx@sigxcpu.org>
Description: 
 libvirt-bin - programs for the libvirt library
 libvirt-dev - development files for the libvirt library
 libvirt-doc - documentation for the libvirt library
 libvirt-sanlock - library for interfacing with different virtualization systems
 libvirt0   - library for interfacing with different virtualization systems
 libvirt0-dbg - library for interfacing with different virtualization systems
 python-libvirt - libvirt Python bindings
Closes: 721979
Changes: 
 libvirt (1.1.2-3) unstable; urgency=low
 .
   * [d7b6d7a] Cherry-pick cgroup related fixes from upstream trunk.
     Namely a48838ad2e36c124229b6faaf6e24284810e3802 and
     f0b6d8d472de3c1bf3ade24e07df7c6d02075b77.
     Thanks to Laurent Biognville for chasing this and Daniel P. Berrange for the acutual fixes.
     (Closes: #721979)
Checksums-Sha1: 
 48c30903698253fd45d0565badc910a9385bffe5 2498 libvirt_1.1.2-3.dsc
 ad3b150a9f6e3433776f641079ddafb25f3efdfa 46939 libvirt_1.1.2-3.debian.tar.gz
 f10635930dc6827959e0b6952136dced7e3faeaa 3171670 libvirt-bin_1.1.2-3_i386.deb
 9d9ff953b7556953377e9e172b4e08b919951d70 2301380 libvirt0_1.1.2-3_i386.deb
 b849f8aca1e2d6887fad858330659ecce4222931 6805340 libvirt0-dbg_1.1.2-3_i386.deb
 cccf728d66d146a4c3f9c0aedbebde8fd3346188 2574432 libvirt-doc_1.1.2-3_all.deb
 7e5f27e994d22b1e93a68d453552cd70885705fd 1592256 libvirt-dev_1.1.2-3_i386.deb
 112d82d36c5f42fc269e20ac718a620787010d09 1679344 python-libvirt_1.1.2-3_i386.deb
 b2154aafd905cdb9b1a9669af8c56d62d3ed4920 1589470 libvirt-sanlock_1.1.2-3_i386.deb
Checksums-Sha256: 
 a4a1ac10cd3185a1931af52afa4a1d4df8bbbf1fc05bcdeb3dedc080a13de593 2498 libvirt_1.1.2-3.dsc
 193b93c13c1e1621c1689d7da91268116e5260eb28919f0c7e1c04b23bb8a2a8 46939 libvirt_1.1.2-3.debian.tar.gz
 c490c5aec660dd680b0e15d060daf064f07de27c4df267a3376fc1b535b2b088 3171670 libvirt-bin_1.1.2-3_i386.deb
 df592aca9bbe88b2f80321c54252a903045a238fd5bb256cd1ec9c71cd3d02a7 2301380 libvirt0_1.1.2-3_i386.deb
 2d4817cbf79494c911d061d12a02df87aee6dfb7b55efb64b973850d1e4e67ee 6805340 libvirt0-dbg_1.1.2-3_i386.deb
 6cf8386995cf8c173bf08091a0f8f40f6ecefbe755e85958e163bf151ff8037c 2574432 libvirt-doc_1.1.2-3_all.deb
 e9c9089350c9ecc4638f87b4f775e1c8c579ad098f0c4d1104ec82cad27333be 1592256 libvirt-dev_1.1.2-3_i386.deb
 d02d928b6d4dce1aa694acf36ae6970a0e92de72be6fd4c8841781431dfd0b0d 1679344 python-libvirt_1.1.2-3_i386.deb
 3e4c15bbc176edc6e5029dde1bfa55861576d704f92da3d5ab8329bb60957752 1589470 libvirt-sanlock_1.1.2-3_i386.deb
Files: 
 e2d9a791bf47f411e4fe507385a9ce20 2498 libs optional libvirt_1.1.2-3.dsc
 5aa922c07a6c2ab6981669dca60796db 46939 libs optional libvirt_1.1.2-3.debian.tar.gz
 d71d31da2c72bc220702f1c46724df37 3171670 admin optional libvirt-bin_1.1.2-3_i386.deb
 1646ee1c4b8119b65afad4e248d8b3ce 2301380 libs optional libvirt0_1.1.2-3_i386.deb
 07ea83ab51fd85902bd06e4c1ae64183 6805340 debug extra libvirt0-dbg_1.1.2-3_i386.deb
 40da02a9cea1de47d5b4db651072a5fb 2574432 doc optional libvirt-doc_1.1.2-3_all.deb
 578d21dfc027eca2a10589307d219459 1592256 libdevel optional libvirt-dev_1.1.2-3_i386.deb
 9f836e95996f424a31217185819b067e 1679344 python optional python-libvirt_1.1.2-3_i386.deb
 085b64cb0c502b08162263f3e321d20f 1589470 libs extra libvirt-sanlock_1.1.2-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFSMdIUn88szT8+ZCYRAtAfAJ9ReZGRCXJxVWIHO/K3QCcK3pJqKACeILvg
KJoiuXLzoE4BtWMjUIDYmzY=
=c4Z+
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 12 Oct 2013 07:28:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:52:49 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.